#include <Arduino.h>
#include <SoftwareSerial.h>

// #include "display.hpp"
// #include "rotary_encoder.hpp"

// int seconds = 0;
//
// void start_count(int seconds);
//
// Display display;
// RotaryEncoder encoder;

SoftwareSerial swSerial(3, 4);

void setup() {
	swSerial.begin(9600);
	// display = Display();
	// encoder = RotaryEncoder();
	while(!swSerial.available());

	swSerial.println("nik");
}

void loop() {
	if (analogRead(0) > 950) {
		swSerial.println("niki");
	} else {
		swSerial.println("pushed");
	}
	delay(1000);
	// display.print_time(seconds);
	// seconds = encoder.value_select(display);
	// start_count(seconds);
	// while (analogRead(0) > 950) {
	// 	display.chenillard();
	// }
}

// void start_count(int secondsToWait) {
// 	unsigned long millisToWait = secondsToWait * 1000L;
// 	unsigned long millisElapsed = 0L;
// 	unsigned long millisAtStart = millis();
//
// 	do {
// 		millisElapsed = millis() - millisAtStart;
// 		display.print_time(secondsToWait - millisElapsed / 1000);
// 		delay(500);
// 	} while (millisElapsed < millisToWait);
//
//
// }
